
/* Ads Tool Preview */
/* preview-pagehead */
.preview-pagehead{ padding: 44px 30px; background: #eeeeee; }
.preview-pagehead h1{ font-size: 30px; font-weight: 700; color: #275274; margin-bottom: 10px; line-height: 1.1; text-align: center; }
.preview-pagehead p{ font-size: 18px; color: #141414; line-height: 1.4; margin-bottom: 20px; }
.preview-pagehead p a{ color: #428bca; }

/* preview-dashboard */
.preview-dashboard{ padding: 50px 0px; }
.preview-dashboard .columns{ display: -webkit-flex; display: -ms-flexbox; display: flex; -webkit-flex-wrap: wrap; -ms-flex-wrap: wrap; flex-wrap: wrap; margin-left: -15px; margin-right: -15px; }
.preview-dashboard .columns .options{ width: 42%; padding: 0px 15px; }
.preview-dashboard .columns .preview{ width: 58%; padding: 0px 15px; opacity:0; }
.page-load .preview-dashboard .columns .preview { opacity:1; }
.preview-dashboard .input-wrapper{ margin-bottom: 5px; display: -webkit-flex; display: -ms-flexbox; display: flex; width: 100%; }
.preview-dashboard .input-wrapper .input-field,
.preview-dashboard .input-wrapper select{ font-family: "Lato", "Helvetica Neue", Helvetica, Arial, sans-serif; display: block; width: 100%; height: 34px; padding: 6px 12px; font-size: 14px; line-height: 1.428571429; color: #555555; background: #ffffff; border: 1px solid #cccccc; border-left-width: 0px; border-right-width: 0px; box-shadow: inset 0 1px 1px rgba(0, 0, 0, .08); }
.preview-dashboard .input-wrapper select{ border: 1px solid #cccccc; border-radius: 4px; }
.preview-dashboard .input-wrapper .input-field:first-child{ border-top-left-radius: 4px; border-bottom-left-radius: 4px; border-left-width: 1px; }
.preview-dashboard .input-wrapper .input-field:last-child{ border-top-right-radius: 4px; border-bottom-right-radius: 4px; border-right-width: 1px; }
.preview-dashboard .input-wrapper textarea.input-field{ height: 85px; resize: none; }
.preview-dashboard .input-wrapper > div{ width: 100%; }
.preview-dashboard .input-wrapper div .input-field{ border-radius: 0px !important; border-right-width: 0px !important; border-left-width: 0px !important; }
.preview-dashboard .input-wrapper span{ -webkit-flex-shrink: 0; -ms-flex-negative: 0; flex-shrink: 0; display: -webkit-flex; display: -ms-flexbox; display: flex; -webkit-align-items: center; -ms-flex-align: center; align-items: center; -webkit-justify-content: center; -ms-flex-pack: center; justify-content: center; padding: 6px 12px; font-size: 14px; line-height: 1; color: #555555; text-align: center; background: #eeeeee; border: 1px solid #cccccc; }
.preview-dashboard .input-wrapper span + span{ border-left-width: 0px; }
.preview-dashboard .input-wrapper span:first-child{ border-bottom-left-radius: 4px; border-top-left-radius: 4px; }
.preview-dashboard .input-wrapper span:last-child{ border-top-right-radius: 4px; border-bottom-right-radius: 4px; }
.preview-dashboard .input-wrapper strong:first-child{ margin-right: 10px; -webkit-flex-shrink: 0; -ms-flex-negative: 0; flex-shrink: 0; }
.preview-dashboard .input-wrapper .counter{ min-width: 51px; color: #3c763d; background: #dff0d8;border-color: #d6e9c6; }
.preview-dashboard .input-wrapper .counter.error{ color: #a94442; background: #f2dede; border-color: #ebccd1; }
.preview-dashboard .other-options{ padding-top: 10px; }
.preview-dashboard .other-options .option-wrapper{ margin-bottom: 10px; }
.preview-dashboard .other-options label{ -webkit-user-select: none; -moz-user-select: none; -ms-user-select: none; user-select: none; cursor: pointer; display: inline-block; margin-bottom: 10px; margin-left: 10px; }
.preview-dashboard .other-options .input-box{ display: none; max-width: 91.66666666666666%; margin-left: auto; } 
.preview-dashboard .other-options .input-box .row{ display: -webkit-flex; display: -ms-flexbox; display: flex; } 
.preview-dashboard .other-options input[type="checkbox"]:checked ~ .input-box{ display: block; }
.preview-dashboard .other-options .input-box button{ color: #333333; background: #ffffff; cursor: pointer; margin-left: 10px; margin-bottom: 5px; border-radius: 4px; -webkit-flex-shrink: 0; -ms-flex-negative: 0; flex-shrink: 0; display: -webkit-flex; display: -ms-flexbox; display: flex; -webkit-align-items: center; -ms-flex-align: center; align-items: center; -webkit-justify-content: center; -ms-flex-pack: center; justify-content: center; padding: 0px 12px; font-size: 22px; font-weight: 700; line-height: 1; text-align: center; border: 1px solid #cccccc; }
.preview-dashboard .other-options .input-box button:hover{ background: #ebebeb; }
.preview-dashboard .other-options .input-box .inner-input-box{ display: none; max-width: 91.66666666666666%; margin-left: auto; }
.preview-dashboard .other-options .input-box input[type="checkbox"]:checked ~ .inner-input-box{ display: block; }
.preview-dashboard .btns button{ display: inline-block; padding: 6px 12px; margin-bottom: 0; font-size: 14px; text-align: center; white-space: nowrap; vertical-align: middle; cursor: pointer; border: 1px solid transparent; border-radius: 4px; }
.preview-dashboard .btns .reset{ color: #ffffff; background-color: #f0ad4e; border-color: #eea236; margin-right: 10px; }
.preview-dashboard .btns .share-ad{ color: #ffffff; background-color: #5cb85c; border-color: #4cae4c; }
.preview-dashboard .tooltip-btn{ color: #000000; font-size: 12px; border: 1px solid #cccccc; border-radius: 3px 3px 3px 3px; background-color: #eee; position: relative; padding: 2px 5px; cursor: pointer; margin-left: 5px; }
.preview-dashboard .tooltip-btn .tooltip-text{ max-width: 300px; min-width: 200px; background: #ddd; border: 1px solid rgba(0, 0, 0, .2); border-radius: 4px; position: absolute; left: 50%; -webkit-transform: translateX(-50%); -ms-transform: translateX(-50%); transform: translateX(-50%); bottom: 100%; margin-bottom: 8px; padding: 10px; color: #333; cursor: initial; font-style: normal; display: none; font-family: arial,sans-serif; }
.preview-dashboard .tooltip-btn .tooltip-text::after{ content: ''; border-color: #747474 transparent transparent transparent; border-style: solid; border-width: 5px 5px 0px 5px; position: absolute; bottom: -5px; left: 50%; -webkit-transform: translateX(-50%); -ms-transform: translateX(-50%); transform: translateX(-50%); }
.preview-dashboard .tooltip-btn:hover .tooltip-text{ display: block; }

@media(max-width: 767px){
    .preview-dashboard .columns .options{ width: 100%; margin-bottom: 20px; }
    .preview-dashboard .columns .preview{ width: 100%; }
}

/* desktop-preview */
.preview-dashboard .fields-wrapper span.finalurl { padding:6px; }
.preview-dashboard ul{ list-style: none; padding-left: 0px; margin-bottom: 0px; }
.preview-dashboard a{ color: #1a0dab; }
.preview-dashboard .desktop-preview{ margin-bottom: 55px; font-family: arial,sans-serif; line-height: 20px; }
.preview-dashboard .desktop-preview .finalurl-wrap::after{ content: ''; border-color: #747474 transparent transparent transparent; border-style: solid; border-width: 5px 5px 0px 5px; display: inline-block; vertical-align: middle; margin: 0px 5px; }
.preview-dashboard .topline{ display: -webkit-flex; display: -ms-flexbox; display: flex; }
.preview-dashboard .finalurl-wrap{ color: #747474; overflow: hidden; text-overflow: ellipsis; white-space: nowrap; }
.preview-dashboard .finalurl-wrap strong{ color: #000; padding: 0 2px 0 2px; }
.preview-dashboard .headline{ margin: 5px 0px; font-size: 18px; font-weight: 400; line-height: 18px; }
.preview-dashboard .headline span::before{ content: '|'; display: inline-block; margin-right: 5px; }
.preview-dashboard .headline span:first-child::before{ display: none; }
.preview-dashboard .description{ color: #545454; }
.preview-dashboard .desktop-preview .sitelink-extension ul{ padding: 0px 3%; }
.preview-dashboard .desktop-preview .sitelink-extension li{ display: inline-block; width: calc(50% - 30px); margin-bottom: 5px; padding: 0px 15px; white-space: nowrap; overflow: hidden; text-overflow: ellipsis; }
.preview-dashboard .desktop-preview .sitelink-extension li .sitelink-description span{ display: block; white-space: nowrap; overflow: hidden; text-overflow: ellipsis; }
.preview-dashboard .desktop-preview .sitelink-extension.large li a{ font-size: 15.6px; }
.preview-dashboard .callout-extension{ color: #545454; overflow: hidden; text-overflow: ellipsis; white-space: nowrap; font-size: 13px; }
.preview-dashboard .callout-extension span::after{ content: "\00B7"; margin-left: 5px; }
.preview-dashboard .callout-extension span:last-child::after{ display: none; }
.preview-dashboard .call-extension{ color: #747474; overflow: hidden; text-overflow: ellipsis; white-space: nowrap; }
.preview-dashboard .location-extension img{ width: 10px; margin-right: 3px; }
.preview-dashboard .structured-snippet{ color: #545454; margin-bottom: 8px; font-size: 13px; }
.preview-dashboard .structured-snippet span.snippet-header::after{ content: ':'; }
.preview-dashboard .structured-snippet span:not(.snippet-header)::after{ content: ','; }
.preview-dashboard .structured-snippet span:not(.snippet-header):last-child:after{ display: none; }
.preview-dashboard .price-extension{ background-color: #f8f8f8; padding: 10px; white-space: nowrap; }
.preview-dashboard .price-extension ul{ overflow-x: scroll; }
.preview-dashboard .price-extension li{ height: 90px; width: 150px; display: inline-block; text-align: center;box-shadow: 0 1px 2px rgb(0 0 0 / 20%); background-color: #fff; margin-right: 4px; border-radius: 2px; padding: 5px 8px 8px; color: #7A7A7A; font-size: 13px; font-weight: 400; overflow: hidden; text-overflow: ellipsis; white-space: nowrap; }
.preview-dashboard .price-extension li h6{ margin-bottom: 9px; padding-bottom: 6px; font-size: 13px; font-weight: 400; border-bottom: solid 1px rgba(0,0,0,0.16); overflow: hidden; text-overflow: ellipsis; white-space: nowrap; }


@media(max-width: 767px){
    .preview-dashboard .desktop-preview .sitelink-extension ul{ padding: 0px; }
    .preview-dashboard .desktop-preview .sitelink-extension li{ padding: 0px 10px; }
}

/* mobile-preview */
.mobile-preview .google-logo{ padding: 8px 0px 10px; text-align: center; font-size: 20px; }
.mobile-preview .searchbar{ position: relative; }
.mobile-preview .searchbar::before{ content: ''; background: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 24 24' fill='none' stroke='%23999' stroke-width='2' stroke-linecap='round'%3E%3Ccircle cx='11' cy='11' r='7'/%3E%3Cpath d='M21 21l-4.3-4.3'/%3E%3C/svg%3E") no-repeat center; background-size: contain; position: absolute; left: 10px; top: 50%; -webkit-transform: translateY(-50%); -ms-transform: translateY(-50%); transform: translateY(-50%); width: 18px; height: 18px; }
.mobile-preview .searchbar::after{ content: ''; background: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 24 24'%3E%3Crect x='9' y='2' width='6' height='12' rx='3' fill='%234285f4'/%3E%3Cpath d='M5 11a7 7 0 0 0 14 0M12 18v3' fill='none' stroke='%234285f4' stroke-width='2'/%3E%3C/svg%3E") no-repeat center; background-size: contain; position: absolute; right: 20px; top: 50%; -webkit-transform: translateY(-50%); -ms-transform: translateY(-50%); transform: translateY(-50%); width: 12px; height: 18px; }
.mobile-preview .searchbar input{ padding: 6px 35px; border-radius: 4px; display: block; width: 100%; height: 34px; font-size: 14px; line-height: 1.428571429; color: #555555; background: #ffffff; border: 1px solid #cccccc; box-shadow: inset 0 1px 1px rgba(0, 0, 0, .08); }
.mobile-preview .google-nav{ padding: 5px 10px; margin-bottom: 4px; border: 1px solid #dddddd; border-bottom-right-radius: 4px; border-bottom-left-radius: 4px; }
.mobile-preview .google-nav a{ color: #545454; text-transform: uppercase; text-decoration: none; margin-right: 15px; }
.mobile-preview .google-nav a:last-child{ margin-right: 0px; }
.mobile-preview .google-nav a:last-child{ margin-right: 0px; }
.mobile-preview .box{ border: 1px solid #dddddd; border-radius: 4px; background: #ffffff; padding: 12px 10px; color: #333; }
.mobile-preview .finalurl-wrap{ font-size: 13px; position: relative; padding-right: 30px; margin-bottom: 0px; }
.mobile-preview .finalurl-wrap .info-circle{ position: absolute; right: 0px; top: 0px; background: #bbb; width: 16px; height: 16px; border-radius: 50%; font-size: 12px; line-height: 16px; text-align: center; color: #ffffff; font-style: normal; }
.mobile-preview .headline{ font-size: 16px; margin-bottom: 0px; margin-top: 10px; }
.mobile-preview .description{ margin-top: 5px; }
.mobile-preview .callout-extension{ margin-bottom: 0px; }
.mobile-preview .sitelink-extension ul{ display: -webkit-flex; display: -ms-flexbox; display: flex; white-space: nowrap; overflow: hidden; margin-top: 8px; }
.mobile-preview .sitelink-extension li{ padding: 5px; margin-right: 2px; border: 1px solid #cccccc; border-radius: 4px; }
.mobile-preview .message-extension,
.mobile-preview .location-extension,
.mobile-preview .call-extension{ padding: 10px 10px 0px; font-size: 13px; border-top: 1px solid #eeeeee; margin-top: 7px; margin-bottom: 0px; margin-left: -10px; margin-right: -10px; color: #333; white-space: nowrap; overflow: hidden; text-overflow: ellipsis; }
.mobile-preview .message-extension img{ width: 15px; margin-right: 3px; }
.mobile-preview .location-extension{ text-overflow: unset; }
.mobile-preview .location-extension span{ white-space: nowrap; overflow: hidden; text-overflow: ellipsis; width: 305px; display: inline-block; vertical-align: middle; padding-right: 10px; border-right: 1px solid #cccccc; }
.mobile-preview .location-extension .phone img{ width: 15px; margin-left: 5px; }
.mobile-preview .call-extension img{ width: 15px; margin-right: 3px; }
.mobile-preview .price-extension{ margin-top: 5px; margin-left: -10px; margin-right: -10px; padding-left: 10px; padding-right: 0px; }
.mobile-preview .price-extension ul{ overflow-x: hidden; }
.mobile-preview .price-extension li{ height: 70px; width: 118px; margin-right: 2px; padding: 4px 8px 0px; }
.mobile-preview .price-extension li h6{ margin-bottom: 6px; padding-bottom: 0px; }

.checkbox-target{ display: none; }
.checkbox-target.active{ display: block; }
 
.remove-psuedo::before,
.remove-psuedo::after{ display: none !important; }

/* product-offer */
.product-offer{ background: #f8f8f8; padding: 40px 0px; text-align: center; }
.product-offer .wrapper{ max-width: 83.33333333333334%; margin: auto; background: #F8F8B8; padding: 20px; font-weight: 600; font-size: 18px; line-height: 1.4; }
.product-offer .wrapper p{ max-width: 66.66666666666666%; }
.product-offer .wrapper p a{ color: #428bca; }



/* mobile-device */
.device-frame .speaker, .device-frame .top, .device-frame .bottom, .device-frame, .mobile-device .side-buttons, .device-frame .bottom:before, .device-frame .bottom:after, .device-frame .bottom span:before, .device-frame .speaker:after, .device-frame .camera:before, .device-frame .camera:after, .device-frame .top:after, .device-frame:after, .device-frame:before, .mobile-device .side-buttons:before, .mobile-device .side-buttons:after, .mobile-device:before, .mobile-device .side-buttons span, .device-frame .bottom span, .device-frame .camera, .device-frame .top div{ position: absolute; }
.mobile-device .side-buttons span, .device-frame .camera:before, .device-frame .camera:after, .device-frame:after, .device-frame .bottom:before, .device-frame .bottom:after, .device-frame .bottom span, .device-frame .speaker:after, .device-frame .camera, .device-frame .top div{ margin:auto; }
.device-frame .bottom:before, .device-frame .bottom:after, .device-frame .bottom span, .device-frame .speaker:after, .device-frame .camera, .device-frame .top div, .device-frame .camera:before, .device-frame .camera:after,.device-frame:after{ right:0px;left:0px; }
.mobile-device .side-buttons span, .device-frame .camera:before, .device-frame .camera:after,.device-frame:after{ top:0px; bottom:0px; }
.device-frame .bottom:before, .device-frame .bottom:after, .device-frame .bottom span:before, .device-frame .speaker:after, .device-frame .camera:before, .device-frame .camera:after, .device-frame .top:after, .device-frame:after, .device-frame:before, .mobile-device .side-buttons:before, .mobile-device .side-buttons:after,.mobile-device:before{ content: " "; }
.mobile-device{ position: relative; width: 440px; height: 840px; font-family: arial, helvetica, sans-serif; line-height: 20px; margin: 0 auto; }
.mobile-device .content-wrapper{ padding: 90px 27px 95px 30px; height: 100%; position: relative; z-index: 1; }
.mobile-device:before { background: #1e1e1e; width: 45px; height: 4px; top: 0px; right: 47px; border-radius: 2px; }
.mobile-device .side-buttons { height: 125px; width: 4px; top: 84px; }
.mobile-device .side-buttons span, 
.mobile-device .side-buttons:before, .mobile-device .side-buttons:after { background: #1d1d1d; width: 4px; border-radius: 2px; }
.mobile-device .side-buttons:before { height: 26px; }
.mobile-device .side-buttons span, 
.mobile-device .side-buttons:after { height: 20px; bottom: 0px; }
.mobile-device .side-buttons span { top: 6px; }
.mobile-device .device-frame { bottom: 0px; right: 0px; width: 437px; height: 837px; }
.mobile-device .device-frame:before { width: 100%; height: 100%; border: 20px solid #1d1d1d; border-radius: 40px; }
.mobile-device .device-frame:after { width: 430px; height: 828px; border: 3px solid; border-top-color: #252525; border-left-color: #252525; border-right-color: #212121; border-bottom-color: #212121; border-radius: 35px; }
.mobile-device .device-frame .top, 
.mobile-device .device-frame .bottom { height: 83px; width: 100%; background: #1d1d1d; }
.mobile-device .device-frame .bottom { bottom: 0px; border-radius: 0px 0px 40px 40px; }
.mobile-device .device-frame span { display: block; }
.mobile-device .device-frame .top { top: 0px; border-radius: 40px 40px 0px 0px; overflow: hidden; }
.mobile-device .device-frame .top div { top: 23px; width: 55px; height: 35px; }
.mobile-device .device-frame .top:after { top: -50px; right: 0px; width: 150px; height: 160px; background: -webkit-linear-gradient(left, rgba(255, 255, 255, 0.02), rgba(255, 255, 255, 0)); background: -o-linear-gradient(right, rgba(255, 255, 255, 0.02), rgba(255, 255, 255, 0)); background: -moz-linear-gradient(right, rgba(255, 255, 255, 0.02), rgba(255, 255, 255, 0)); background: linear-gradient(to right, rgba(255, 255, 255, 0.02), rgba(255, 255, 255, 0)); -webkit-transform: rotate(-20deg); -moz-transform: rotate(-20deg); -ms-transform: rotate(-20deg); transform: rotate(-20deg); }
.mobile-device .device-frame .camera { width: 14px; height: 14px; border-radius: 50%; border: 1px solid; border-top-color: #1e1e1e; border-left-color: #262626; border-right-color: #1e1e1e; border-bottom-color: #262626; }
.mobile-device .device-frame .camera:before, 
.mobile-device .device-frame .camera:after { border-radius: 50%; }
.mobile-device .device-frame .camera:before { width: 12px; height: 12px; background: -webkit-linear-gradient(top, #0f0f0f, #1f1f1f); background: -o-linear-gradient(bottom, #0f0f0f, #1f1f1f); background: -moz-linear-gradient(bottom, #0f0f0f, #1f1f1f); background: linear-gradient(to bottom, #0f0f0f, #1f1f1f); }
.mobile-device .device-frame .camera:after { width: 6px; height: 6px; border: 2px solid #2a2a2a; background: #1d1d1d; }
.mobile-device .device-frame .speaker { bottom: 0px; width: 53px; height: 13px; background: #2a2a2a; border-radius: 10px; z-index: 10; }
.mobile-device .device-frame .speaker:after { width: 54px; height: 12px; border: 3px solid; border-top-color: #181818; border-left-color: #181818; border-right-color: #111; border-bottom-color: #1e1e1e; border-radius: 10px; }
.mobile-device .device-frame .bottom { bottom: 0px; border-radius: 0px 0px 40px 40px; }
.mobile-device .device-frame .bottom span { top: 18px; width: 45px; height: 45px; border-radius: 50%; border: 1px solid #484848; }
.mobile-device .device-frame .bottom:before, 
.mobile-device .device-frame .bottom:after { bottom: 0px; height: 6px; border-radius: 100%; -moz-box-shadow: 0px 0px 5px rgba(0, 0, 0, 0.9); -webkit-box-shadow: 0px 0px 5px rgba(0, 0, 0, 0.9); box-shadow: 0px 0px 5px rgba(0, 0, 0, 0.9); }
.mobile-device .device-frame .bottom:before { background: rgba(0, 0, 0, 0.6); bottom: -2px; width: 76%; opacity: 0.8; }
.mobile-device .device-frame .bottom:after { background: rgba(0, 0, 0, 0.5); bottom: -3px; width: 90%; opacity: 0.3; height: 5px; }
.option-wrapper.location-wrapper .input-box .input-wrapper{ width:89%; }
@media(max-width:767px) {
	.preview-dashboard { overflow:hidden; }
	.preview-pagehead { padding: 25px 0px; }
	.preview-pagehead .wrapper { padding:0 15px; }
	.preview-dashboard .fields-wrapper { max-width: 100%; }
	.mobile-device , .mobile-device .device-frame:after, .mobile-device .device-frame { width:100%; }
	.product-offer .wrapper p { max-width: 100%; }
	.preview-dashboard .input-wrapper .input-field, .preview-dashboard .input-wrapper select { height: 37px; }
	.preview-dashboard .input-wrapper span+span { max-width: 75px; overflow: hidden; text-overflow: ellipsis; text-align: left; display: block; padding: 9px 5px; }
}